aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests
diff options
context:
space:
mode:
authorJiajun Xu <jiajun.xu@intel.com>2010-07-08 02:06:58 +0800
committerRichard Purdie <rpurdie@linux.intel.com>2010-07-15 12:48:25 +0100
commitfd1d661b391dfad1edaac937a17c1165f635031a (patch)
tree3bce526d67faf52385482f38c31679db05f6dbd5 /scripts/qemuimage-tests
parentbd19169a60d5aaadc278439578d06c8027cfecf3 (diff)
downloadopenembedded-core-contrib-fd1d661b391dfad1edaac937a17c1165f635031a.tar.gz
test: add automation framework and sanitytest
Automation test is disabled by default. User need set TESTCLASS to qemu in conf/local.conf and run bitbake command "bitbake poky-image-xxx" or "bitbake poky-image-xxx -c qemuimagetest" to trigger it. Currently only the sanity test with two testcases are added. To run the test, user need prepare a testing environment: 1) "expect" should be installed on system 2) NOPASSWD should be set for user to run bitbake Signed-off-by Jiajun Xu <jiajun.xu@intel.com>
Diffstat (limited to 'scripts/qemuimage-tests')
-rwxr-xr-xscripts/qemuimage-tests/sanity/boot31
-rwxr-xr-xscripts/qemuimage-tests/sanity/ssh40
2 files changed, 71 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/sanity/boot b/scripts/qemuimage-tests/sanity/boot
new file mode 100755
index 0000000000..b4c0094f25
--- /dev/null
+++ b/scripts/qemuimage-tests/sanity/boot
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Boot Test Case for Sanity Test
+# The case boot up the Qemu target with `runqemu qemux86`.
+# Then check if qemu and qemu network is up.
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $OEROOT/scripts/qemuimage-testlib
+
+TIMEOUT=120
+QEMU_IPADDR="192.168.7.2"
+
+# Start qemu and check its network
+Test_Create_Qemu ${QEMU_IPADDR} ${TIMEOUT}
+
+if [ $? -eq 0 ]; then
+ Test_Info "Boot Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "Boot" 0
+ exit 0
+else
+ Test_Info "Boot Test FAIL"
+ Test_Kill_Qemu
+ Test_Print_Result "Boot" 1
+ exit 1
+fi
diff --git a/scripts/qemuimage-tests/sanity/ssh b/scripts/qemuimage-tests/sanity/ssh
new file mode 100755
index 0000000000..7dd895951c
--- /dev/null
+++ b/scripts/qemuimage-tests/sanity/ssh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# SSH Test Case for Sanity Test
+# The case boot up the Qemu target with `runqemu qemux86`.
+# Then check if ssh service in qemu is up.
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $OEROOT/scripts/qemuimage-testlib
+
+TIMEOUT=360
+QEMU_IPADDR="192.168.7.2"
+RET=1
+
+# Start qemu and check its network
+Test_Create_Qemu ${QEMU_IPADDR} ${TIMEOUT}
+
+# If qemu network is up, check ssh service in qemu
+if [ $? -eq 0 ]; then
+ Test_Info "Begin to Test SSH Service in Qemu"
+ Test_SSH_UP ${QEMU_IPADDR} ${TIMEOUT}
+ RET=$?
+else
+ RET=1
+fi
+
+if [ ${RET} -eq 0 ]; then
+ Test_Info "SSH Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "SSH" 0
+ exit 0
+else
+ Test_Info "SSH Test FAIL"
+ Test_Kill_Qemu
+ Test_Print_Result "SSH" 1
+ exit 1
+fi